5

I am using Ubuntu 17.04 with linux kernel 4.12.2 which I installed using the software ukuu (Ubuntu Update Kernel Utility).

Every time I try to run a snap in my system when I am using this linux kernel version, I get this error (for example the hello-world snap) :

/snap/bin/hello-world
>snap-confine has elevated permissions and is not confined but should be. Refusing to continue to avoid permission escalation attacks

I tried going back to kernel version 4.10.0-28-generic and the snaps are working just fine over there.

So can any one tell me what's the problem, and how to solve it ?

Additional informations

I don't know if this is important or not, but I used this answer How to use BFQ scheduler on Linux 4.12? to activate and use bfq scheduler on linux kernel 4.12.2.

Update

This is really weird. When I went back to kernel version 4.12.2 after using the snaps in the kernel version 4.10.0-28-generic ; snaps now are working again in 4.12.2.

Update

The snaps are working, but not they are having some bugs. Sometimes the confinement doesn't work, and the snap can access anything.

1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.